package com.ruoyi.mall.domain.Vo;



import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 帖子评论视图对象 tb_business_article_comment
 *
 * @author long
 * @date 2023-06-26
 */

public class QueryArtilceCommentListResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 评论编号
     */
    private Long commentId;

    /**
     * 帖子编号
     */
    private Long articleId;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 评论的人
     */
    private String userName;

    /**
     * 评论的人头像
     */
    private String userAvatar;


    /**
     * 评论文字
     */
    private String commentText;
    /**
     * 评论时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 子评论数
     * @return
     */
    private int subCount;


    @Override
    public String toString() {
        return "QueryArtilceCommentListResponse{" +
                "commentId=" + commentId +
                ", articleId=" + articleId +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", userAvatar='" + userAvatar + '\'' +
                ", commentText='" + commentText + '\'' +
                ", createTime=" + createTime +
                ", subCount=" + subCount +
                '}';
    }

    public int getSubCount() {
        return subCount;
    }

    public void setSubCount(int subCount) {
        this.subCount = subCount;
    }

    public Long getCommentId() {
        return commentId;
    }

    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    public Long getArticleId() {
        return articleId;
    }

    public void setArticleId(Long articleId) {
        this.articleId = articleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }



    public String getCommentText() {
        return commentText;
    }

    public void setCommentText(String commentText) {
        this.commentText = commentText;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }



}
